routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/user', 'ProfileController@updateUser')->name('profile.update.user');

Route::post('/buy/cart', 'Frontend\PageController@addToCart')->name('cart.add');
Route::get('/buy/cart', 'Frontend\PageController@indexCart')->name('cart.index');
Route::post('/buy/checkout/{tenant_id}', 'Frontend\PageController@checkoutStore')->name('checkout.store');
Route::post('/buy/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
Route::post('/buy/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');

Route::group(['prefix' => 'main'], function () {
    Route::group(['middleware' => ['auth', 'role:cashier']], function () {
        Route::get('user', 'Backend\UserController@index')->name('user.index');
        Route::post('user', 'Backend\UserController@store')->name('user.store');
        Route::get('user/create', 'Backend\UserController@create')->name('user.create');
        Route::get('user/{id}/edit', 'Backend\UserController@edit')->name('user.edit');
        Route::put('user/{id}/update', 'Backend\UserController@update')->name('user.update');
        Route::delete('user/{id}', 'Backend\UserController@destroy')->name('user.destroy');
    
        Route::resource('tenant', 'Backend\TenantController', ['only' => ['index', 'show', 'create', 'store', 'update', 'edit']]);
        Route::post('tenant.verification', 'Backend\TenantController@verification')->name('tenant.verification');
        Route::resource('sale', 'Backend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sale/{id}/pay', 'Backend\SaleController@pay')->name('sale.pay');
        Route::post('sale/{id}/pay', 'Backend\SaleController@payStore')->name('sale.pay.store');
    });

    Route::group(['middleware' => ['auth', 'role:tenant']], function () {
        Route::resource('product', 'Frontend\ProductController');
        Route::resource('sales', 'Frontend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sales/{id}/process', 'Frontend\SaleController@process')->name('sales.process');
    });

});

app/Tenant.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\SoftDeletes;

class Tenant extends Model
{
    use SoftDeletes;

    protected $appends = ['display_status'];

    public function user()
    {
        return $this->belongsTo('App\User', 'owner_id');
    }

    public function scopeGenerateSlug($query, $title)
    {
        $g_slug = Str::slug($title);
        $slug_check = $this->where('slug', $g_slug)->count();
        if ($slug_check == 0) {
            $slug = $g_slug;
        } else {
            $check = 0;
            $unique = false;
            while ($unique == false) {
                $randomID = ++$check;
                $check = $this->where('slug', $g_slug . '-' . $randomID)->count();
                if ($check > 0) {
                    $unique = false;
                } else {
                    $unique = true;
                }
            }
            $slug = $g_slug . '-' . $randomID;
        }

        return $slug;
    }

    public function getDisplayStatusAttribute()
    {
        $result = '';
        $status = $this->attributes['status'];

        switch ($status) {
            case '100':
                $result = 'Aktif';
                break;
            case '10':
                $result = 'Tidak Aktif';
                break;

            default:
                $result = 'Tidak Ada';
                break;
        }

        return $result;
    }
}

app/Http/Controllers/Backend/SaleController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\Sale;
use App\SaleDetail;
use Session;
use Auth;

class SaleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $sales = Sale::with('cashier', 'tenant')->orderBy('id', 'DESC');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $sales->where('status', $request->status);
                }
            }

            $sales = $sales->select('sales.*');

            return Datatables::of($sales)
                ->addIndexColumn()
                ->addColumn('action', function ($sale) {
                    return view('partials._action', [
                        'model'       => $sale,
                        'show_url'    => route('sale.show', $sale->id),
                        'pay_url'     => route('sale.pay', $sale->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.sales.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $sale = Sale::find($id);

        return view('backend.sales.show')->with(compact('sale'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $sale = Sale::find($id);
        $sale->cashier_id = Auth::user()->id;
        $sale->status = 10;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Transaksi ini berhasil dibatalkan"
        ]);

        return redirect()->route('sale.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function pay($id)
    {
        $sale = Sale::find($id);

        if ($sale->is_paid == 1){
            Session::flash("flash_notification", [
                "level" => "error",
                "message" => "Transaksi ini telah dibayar!"
            ]);

            return redirect()->route('sale.index');
        }

        return view('backend.sales.pay')->with(compact('sale'));
    }

    public function payStore(Request $request, $id)
    {
        $this->validate($request, [
            'paid' => 'required|numeric',
            'cashback' => 'required|numeric',
        ]);

        $sale = Sale::find($id);
        $sale->paid = $request->paid;
        $sale->cashback = $request->cashback;
        $sale->cashier_id = Auth::user()->id;
        $sale->is_paid = 1;
        $sale->status = 200;
        $sale->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pembayaran berhasil, pesanan telah dilanjutkan ke penjual"
        ]);

        return redirect()->route('sale.index');
    }
}

app/Http/Controllers/Backend/TenantController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Yajra\Datatables\Datatables;
use App\Tenant;
use App\User;
use Session;

class TenantController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $tenants = Tenant::with('user');

            if ($request->get('is_verification') != null) {
                if ($request->is_verification != 'all') {
                    $tenants->where('is_verification', $request->is_verification);
                }
            }

            $tenants = $tenants->select('tenants.*');

            return Datatables::of($tenants)
                ->addIndexColumn()
                ->addColumn('action', function ($tenant) {
                    return view('partials._action', [
                        'model'       => $tenant,
                        'show_url'    => route('tenant.show', $tenant->id),
                        'edit_url'    => route('tenant.edit', $tenant->id),
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.tenants.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $user = User::where('role', 'tenant')->whereDoesntHave('tenant')->get();
        return view('backend.tenants.create')->with(compact('user'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'user_id' => 'required|integer',
            'description' => 'required|string',
        ]);

        $tenant = new Tenant;
        $tenant->owner_id = $request->user_id;
        $tenant->name = $request->name;
        $tenant->slug = Tenant::generateSlug($request->name);
        $tenant->description = $request->description;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'tenant';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            // ganti field image dengan image yang baru
            $tenant->image = $filename;
        }
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant berhasil didaftarkan"
        ]);

        return redirect()->route('tenant.show', $tenant->id);

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $tenant = Tenant::find($id);
        $id_crypt = Crypt::encrypt($id);
        return view('backend.tenants.show')->with(compact('tenant', 'id_crypt'));
    }

    public function verification(Request $request)
    {
        $id = Crypt::decrypt($request->tokenizer);

        $tenant = Tenant::find($id);
        $tenant->is_verification = 1;
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $tenant = Tenant::find($id);
        return view('backend.tenants.edit')->with(compact('tenant'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'description' => 'required|string',
            'status' => 'required|integer',
        ]);

        $tenant = Tenant::find($id);
        $tenant->name = $request->name;
        if ($tenant->name != $request->name) {
            $tenant->slug = Tenant::generateSlug($request->name);
        }
        $tenant->description = $request->description;
        $tenant->status = $request->status;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'tenant';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            // ganti field image dengan image yang baru
            $tenant->image = $filename;
        }
        $tenant->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Tenant berhasil diubah"
        ]);

        return redirect()->route('tenant.index', $tenant->id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/backend/tenants/create.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Pengguna')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Tenant</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('tenant.index') }}">Tenant</a></li>
        <li class="breadcrumb-item active">Tambah Tenant</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Tambah Tenant</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <form method="POST" action="{{ route('tenant.store') }}" enctype="multipart/form-data">
        <div class="row">
          <div class="col-lg-8">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Informasi Tenant</h6>
              </div>
              <div class="card-body">
                {{ csrf_field() }}

                <div class="form-group {{ $errors->has('user_id') ? ' has-error' : '' }}">
                  <label for="user_id">Pemilik</label>
                  <select name="user_id" class="form-control select2 @if ($errors->has('user_id')) is-invalid @endif" data-placeholder="Pilih Pemilik">
                    <option></option>
                    @foreach ($user as $item)
                      <option value="{{ $item->id }}">{{ $item->name }}</option>
                    @endforeach
                  </select>
                  @if ($errors->has('user_id'))
                    <div class="invalid-feedback">
                      {{ $errors->first('user_id') }}
                    </div>
                  @endif
                </div>

                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                  <label for="name">Nama Tenant</label>
                  <input id="name" type="text" class="form-control @if ($errors->has('name')) is-invalid @endif" name="name" value="{{ old('name') }}" placeholder="Nama Tenant">
                  @if ($errors->has('name'))
                    <div class="invalid-feedback">
                      {{ $errors->first('name') }}
                    </div>
                  @endif
                </div>

                <div class="row">
                  <div class="form-group col-12{{ $errors->has('description') ? ' has-error' : '' }}">
                    <label for="description">Deskripsi</label>
                    <textarea id="description" class="form-control @if ($errors->has('description')) is-invalid @endif" name="description" rows="3" placeholder="Deskripsi">{{ old('description') }}</textarea>
                    @if ($errors->has('description'))
                      <div class="invalid-feedback">
                        {{ $errors->first('description') }}
                      </div>
                    @endif
                  </div>
                </div>

                <div class="form-group">
                  <button type="submit" class="btn btn-secondary btn-block" tabindex="4">
                    Simpan
                  </button>
                </div>
                
              </div>
            </div>
          </div>

          <div class="col-lg-4">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Foto Tenant</h6>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <div class="text-center">
                    <img src="{{ asset('assets/img/placeholder-image.png') }}" class="rounded-circle" id="logo-prev" width="168" height="168" alt="tenant">
                  </div>
                </div>
                <div class="form-group custom-file mb-3">
                  <input id="logo" type="file" class="custom-file-input {{ $errors->has('image') ? ' has-error' : '' }}" name="image">
                  <label class="custom-file-label" for="customFile">Pilih Gambar</label>
                </div>
                @if ($errors->has('image'))
                  <div class="invalid-feedback">
                    <strong>{{ $errors->first('image') }}</strong>
                  </div>
                @endif
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

    function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
        $('#logo-prev').attr('src', e.target.result);
      }
      reader.readAsDataURL(input.files[0]); // convert to base64 string
      }
    }

    $("#logo").change(function() {
      readURL(this);
    });
  </script>
@endsection

resources/views/backend/tenants/edit.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Pengguna')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Tenant</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('tenant.index') }}">Tenant</a></li>
        <li class="breadcrumb-item active">Ubah Tenant</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Ubah Tenant</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <form method="POST" action="{{ route('tenant.update', $tenant->id) }}" enctype="multipart/form-data">
        <div class="row">
          <div class="col-lg-8">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Informasi Tenant</h6>
              </div>
              <div class="card-body">
                {{ csrf_field() }}
                @method('PUT')

                <div class="form-group {{ $errors->has('user_id') ? ' has-error' : '' }}">
                  <label for="user_id">Pemilik</label>
                  <input id="name" type="text" class="form-control @if ($errors->has('name')) is-invalid @endif" name="name" value="{{ $tenant->user->name }}" placeholder="Nama Pemilik" readonly>
                  @if ($errors->has('user_id'))
                    <div class="invalid-feedback">
                      {{ $errors->first('user_id') }}
                    </div>
                  @endif
                </div>

                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                  <label for="name">Nama Tenant</label>
                  <input id="name" type="text" class="form-control @if ($errors->has('name')) is-invalid @endif" name="name" value="{{ $tenant->name }}" placeholder="Nama Tenant">
                  @if ($errors->has('name'))
                    <div class="invalid-feedback">
                      {{ $errors->first('name') }}
                    </div>
                  @endif
                </div>

                <div class="row">
                  <div class="form-group col-12{{ $errors->has('description') ? ' has-error' : '' }}">
                    <label for="description">Deskripsi</label>
                    <textarea id="description" class="form-control @if ($errors->has('description')) is-invalid @endif" name="description" rows="3" placeholder="Deskripsi">{{ $tenant->description }}</textarea>
                    @if ($errors->has('description'))
                      <div class="invalid-feedback">
                        {{ $errors->first('description') }}
                      </div>
                    @endif
                  </div>
                </div>

                <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
                  <label for="status">Status Tenant</label>
                  <select name="status" class="form-control select2 @if ($errors->has('status')) is-invalid @endif">
                    <option value="100" {{ $tenant->status == '100' ? 'selected' : '' }}>Aktif</option>
                    <option value="10" {{ $tenant->status == '10' ? 'selected' : '' }}>Tidak Aktif</option>
                  </select>
                  @if ($errors->has('status'))
                    <div class="invalid-feedback">
                      {{ $errors->first('status') }}
                    </div>
                  @endif
                </div>

                <div class="form-group">
                  <button type="submit" class="btn btn-secondary btn-block" tabindex="4">
                    Simpan
                  </button>
                </div>
                
              </div>
            </div>
          </div>

          <div class="col-lg-4">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Foto Tenant</h6>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <div class="text-center">
                    @if ($tenant->image == null)
                      <img src="{{ asset('assets/img/placeholder-image.png') }}" class="rounded" width="168" alt="image-logo">  
                    @else
                      <img alt="image" src="{{ asset('uploads/images/tenant/'.$tenant->image) }}" class="rounded" width="168" alt="image-logo">
                    @endif
                  </div>
                </div>
                <div class="form-group custom-file mb-3">
                  <input id="logo" type="file" class="custom-file-input {{ $errors->has('image') ? ' has-error' : '' }}" name="image">
                  <label class="custom-file-label" for="customFile">Pilih Gambar</label>
                </div>
                @if ($errors->has('image'))
                  <div class="invalid-feedback">
                    <strong>{{ $errors->first('image') }}</strong>
                  </div>
                @endif
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

    function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
        $('#logo-prev').attr('src', e.target.result);
      }
      reader.readAsDataURL(input.files[0]); // convert to base64 string
      }
    }

    $("#logo").change(function() {
      readURL(this);
    });
  </script>
@endsection

resources/views/backend/tenants/index.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Tenant')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Tenant</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item active">Tenant</li>
      </ol>
    </div>
  </div>

  <div class="d-sm-flex align-items-center justify-content-start">
    <a class="btn btn-sm btn-secondary mr-auto" href="{{ route('tenant.create') }}"><i class="fa fa-plus"></i> Daftarkan Tenant</a> 
    <div class="form-inline ml-auto">
      <label>Filter Status Verifikasi</label>
      <select name="is_verification" class="form-control-sm ml-2">
        <option value="all">Semua</option>
        <option value="1">Terverifikasi</option>
        <option value="0">Belum Terverifikasi</option>
      </select>
      <button class="btn btn-sm btn-secondary ml-2" id="btn-filter"><i class="fas fa-filter"></i></button>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">List Tenant</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered datatable">
          <thead>                                 
            <tr>
              <th>#</th>
              <th>Nama</th>
              <th>Pemilik</th>
              <th>Deskripsi</th>
              <th>Verifikasi</th>
              <th>Status</th>
              <th>Aksi</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
      </div>
    </div>
  </div>
@endsection

@section('js')
  <script>
      $(document).ready(function() {
        $('.datatable').DataTable({
            processing: true,
            serverSide: true,
            autoWidth: false,
            language: {
                url: '{{ asset('vendor/datatables/lang/Indonesian.json') }}'
            },
            ajax: {
              url: '{{ route('tenant.index') }}',
              data: function (d) {
                d.is_verification = $('select[name=is_verification]').val()
              }
            },
            columns: [
              {data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false},
              {data: 'name', name: 'name'},
              {data: 'user.name', name: 'user.name'},
              {data: 'description', name: 'description', defaultContent : '-'},
              {data: null, name: 'is_verification', render: function ( data, type, row ) {
                var badge = 'badge-warning';
                if (data.is_verification == 1){
                  badge = 'badge-success';  
                  return '<span class="badge '+badge+'">Terverifikasi</span>';
                } else {
                  return '<span class="badge '+badge+'">Belum Terverifikasi</span>';
                }
              }},
              {data: null, name: 'status', render: function ( data, type, row ) {
                var badge = 'badge-danger';
                if (data.status == 100){
                  badge = 'badge-success';  
                  return '<span class="badge '+badge+'">'+data.display_status+'</span>';
                } else {
                  return '<span class="badge '+badge+'">'+data.display_status+'</span>';
                }
              }},
              {data: 'action', name: 'action', orderable: false, searchable: false},
            ]
        });

        $('#btn-filter').click(function(){
          $('.datatable').DataTable().draw(true);
        });

        $(document).on('click','.js-submit-confirm', function(e){
            e.preventDefault();
            swal({
              title: 'Apakah anda yakin ingin menghapus?',
              text: 'Data yang sudah dihapus, tidak dapat dikembalikan!',
              icon: 'warning',
              buttons: true,
              dangerMode: true,
            })
            .then((willDelete) => {
              if (willDelete) {
                $(this).closest('form').submit();
              } 
            });
        });
    });

    const capitalize = (s) => {
      if (typeof s !== 'string') return ''
      return s.charAt(0).toUpperCase() + s.slice(1)
    }
  </script>
  @include('partials._toast')
@endsection